Package org.apache.ignite.internal.processors.cache.persistence.tree.util

## Interface PageLockListener

All Superinterfaces:
  `AutoCloseable`

All Known Implementing Classes:
  `LockLog`, `LockStack`, `PageLockTracker`

    public interface PageLockListener
    extends AutoCloseable

Page lock listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`void` `onBeforeReadLock​(int cacheId, long pageId, long page)`
`void` `onBeforeWriteLock​(int cacheId, long pageId, long page)`
`void` `onReadLock​(int cacheId, long pageId, long page, long pageAddr)`
`void` `onReadUnlock​(int cacheId, long pageId, long page, long pageAddr)`
`void` `onWriteLock​(int cacheId, long pageId, long page, long pageAddr)`
`void` `onWriteUnlock​(int cacheId, long pageId, long page, long pageAddr)`

### Method Detail

#### onBeforeWriteLock

    void onBeforeWriteLock​(int cacheId,
                           long pageId,
                           long page)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.

#### onWriteLock

    void onWriteLock​(int cacheId,
                     long pageId,
                     long page,
                     long pageAddr)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onWriteUnlock

    void onWriteUnlock​(int cacheId,
                       long pageId,
                       long page,
                       long pageAddr)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onBeforeReadLock

    void onBeforeReadLock​(int cacheId,
                          long pageId,
                          long page)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.

#### onReadLock

    void onReadLock​(int cacheId,
                    long pageId,
                    long page,
                    long pageAddr)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### onReadUnlock

    void onReadUnlock​(int cacheId,
                      long pageId,
                      long page,
                      long pageAddr)

Parameters:
  `cacheId` - Cache ID.
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.

#### close

    void close()

Specified by:
  `close` in interface `AutoCloseable`